## minc-tools 2.3.00%2Bdfsg

=== debian/watch ===
version=4
opts="uversionmangle=s/-/./g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
  https://github.com/BIC-MNI/minc-tools/tags .*/minc-tools@ANY_VERSION@@ARCHIVE_EXT@

#   http://packages.bic.mni.mcgill.ca/tgz/ minc-(.*)\.tar\.gz

## minc-tools 2.3.00+dfsg

=== CMakeLists.txt ===
# CMakeFiles.txt for the minc-tools
#
# Andrew Janke - a.janke@gmail.com
# Vladimir S. FONOV - vladimir.fonov@gmail.com

PROJECT(minc-tools)

SET(MINC_TOOLS_PACKAGE_VERSION_MAJOR 2)
SET(MINC_TOOLS_PACKAGE_VERSION_MINOR 3)
SET(MINC_TOOLS_PACKAGE_VERSION_PATCH 00)
SET(PACKAGE "minc-tools")
SET(PACKAGE_BUGREPORT "a.janke@gmail.com")

SET(PACKAGE_NAME "minc-tools")
SET(PACKAGE_VERSION "${MINC_TOOLS_PACKAGE_VERSION_MAJOR}.${MINC_TOOLS_PACKAGE_VERSION_MINOR}.${MINC_TOOLS_PACKAGE_VERSION_PATCH}")
SET(PACKAGE_STRING  "${PACKAGE_NAME} ${PACKAGE_VERSION}")
ENABLE_TESTING()
INCLUDE(CTest)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

IF(COMMAND CMAKE_POLICY)
  IF(POLICY CMP0026)
    CMAKE_POLICY(SET CMP0026 OLD) # NEEDED in testing to read location of target
  ENDIF(POLICY CMP0026)
ENDIF(COMMAND CMAKE_POLICY)

IF(MINC_TOOLKIT_BUILD)
  SET(MINC_TOOLS_EXTERNALLY_CONFIGURED ON)
ENDIF(MINC_TOOLKIT_BUILD)

IF(NOT MINC_TOOLS_EXTERNALLY_CONFIGURED)
  SET(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake-modules")
  
  SET(CPACK_GENERATOR TGZ)
  SET(CPACK_PACKAGE_VERSION_MAJOR ${MINC_TOOLS_PACKAGE_VERSION_MAJOR})
  SET(CPACK_PACKAGE_VERSION_MINOR ${MINC_TOOLS_PACKAGE_VERSION_MINOR})
  SET(CPACK_PACKAGE_VERSION_PATCH ${MINC_TOOLS_PACKAGE_VERSION_PATCH})
  
  INCLUDE(CPack)
  
  FIND_PACKAGE(LIBMINC REQUIRED)

ENDIF(NOT MINC_TOOLS_EXTERNALLY_CONFIGURED)

INCLUDE( ${LIBMINC_USE_FILE} )
INCLUDE( InstallManPages )
# check for prereqs
INCLUDE(CheckFunctionExists)

CHECK_FUNCTION_EXISTS(mkstemp  HAVE_MKSTEMP)
CHECK_FUNCTION_EXISTS(tmpnam   HAVE_TMPNAM)
CHECK_FUNCTION_EXISTS(tempnam  HAVE_TEMPNAM)
CHECK_FUNCTION_EXISTS(strerror HAVE_STRERROR)
CHECK_FUNCTION_EXISTS(popen    HAVE_POPEN)
CHECK_FUNCTION_EXISTS(fork     HAVE_WORKING_FORK)
CHECK_FUNCTION_EXISTS(vfork    HAVE_WORKING_VFORK)
CHECK_FUNCTION_EXISTS(fdopen   HAVE_FDOPEN)
CHECK_FUNCTION_EXISTS(strdup   HAVE_STRDUP)
CHECK_FUNCTION_EXISTS(getpwnam HAVE_GETPWNAM) 
CHECK_FUNCTION_EXISTS(select   HAVE_SELECT)
CHECK_FUNCTION_EXISTS(strerror HAVE_STRERROR) 
CHECK_FUNCTION_EXISTS(sysconf  HAVE_SYSCONF)
CHECK_FUNCTION_EXISTS(system   HAVE_SYSTEM)

INCLUDE(CheckIncludeFiles)
CHECK_INCLUDE_FILES(float.h     HAVE_FLOAT_H)
CHECK_INCLUDE_FILES(sys/dir.h   HAVE_SYS_DIR_H)
CHECK_INCLUDE_FILES(sys/ndir.h  HAVE_SYS_NDIR_H)
CHECK_INCLUDE_FILES(sys/stat.h  HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILES(sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES(sys/wait.h  HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILES(values.h    HAVE_VALUES_H)
CHECK_INCLUDE_FILES(unistd.h    HAVE_UNISTD_H)
CHECK_INCLUDE_FILES(dirent.h    HAVE_DIRENT_H)
CHECK_INCLUDE_FILES(memory.h    HAVE_MEMORY_H)
CHECK_INCLUDE_FILES(stdlib.h    HAVE_STDLIB_H)
CHECK_INCLUDE_FILES(fcntl.h     HAVE_FCNTL_H)
CHECK_INCLUDE_FILES(dlfcn.h     HAVE_DLFCN_H)
CHECK_INCLUDE_FILES(vfork.h     HAVE_VFORK_H)
CHECK_INCLUDE_FILES(inttypes.h  HAVE_INTTYPES_H)
CHECK_INCLUDE_FILES(string.h    HAVE_STRING_H)
CHECK_INCLUDE_FILES(strings.h   HAVE_STRINGS_H)
CHECK_INCLUDE_FILES(pwd.h       HAVE_PWD_H)

ADD_DEFINITIONS(-DHAVE_CONFIG_H)

# aliases
SET(VERSION "${PACKAGE_VERSION}")

# netcdf and HDF5

# config files for build
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

# set the master INCLUDE directories
INCLUDE_DIRECTORIES(
  ${CMAKE_CURRENT_BINARY_DIR}
   )

ADD_SUBDIRECTORY( progs )
ADD_SUBDIRECTORY( conversion )

# testing
IF(BUILD_TESTING)
  ADD_SUBDIRECTORY( Testing )
ENDIF(BUILD_TESTING)

=== Testing/CMakeLists.txt ===
# Fix tools tests to avoid modifications to source directory (bert).
# 

# Get path to mincstats binary.
GET_PROPERTY(mincstats_bin TARGET mincstats PROPERTY LOCATION)

# Get path to mincinfo binary.
GET_PROPERTY(mincinfo_bin TARGET mincinfo PROPERTY LOCATION)

# Get path to mincextract binary
GET_PROPERTY(mincextract_bin TARGET mincextract PROPERTY LOCATION)

# Get path to mincaverage binary.
GET_PROPERTY(mincaverage_bin TARGET mincaverage PROPERTY LOCATION)

# Get path to mincaverage binary.
GET_PROPERTY(mincresample_bin TARGET mincresample PROPERTY LOCATION)

# Copy files used by minccalc-test and other tests.
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/test-zero.mnc" "${CMAKE_CURRENT_BINARY_DIR}/test-zero.mnc" COPYONLY)
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/test-one.mnc" "${CMAKE_CURRENT_BINARY_DIR}/test-one.mnc" COPYONLY)
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/test-two.mnc" "${CMAKE_CURRENT_BINARY_DIR}/test-two.mnc" COPYONLY)
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/test-rnd.mnc" "${CMAKE_CURRENT_BINARY_DIR}/test-rnd.mnc" COPYONLY)

ADD_TEST(mincinfo-test ${CMAKE_CURRENT_SOURCE_DIR}/mincinfo-test.pl)
SET_TESTS_PROPERTIES(mincinfo-test
  PROPERTIES ENVIRONMENT "MINCINFO_BIN=${mincinfo_bin}")

ADD_TEST(mincstats-test ${CMAKE_CURRENT_SOURCE_DIR}/mincstats-test.pl)
SET_TESTS_PROPERTIES(mincstats-test
  PROPERTIES ENVIRONMENT "MINCSTATS_BIN=${mincstats_bin}")

# Copy files used by mincaverage-test
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/mincaverage-in0.mnc" "${CMAKE_CURRENT_BINARY_DIR}/mincaverage-in0.mnc" COPYONLY)
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/mincaverage-in1.mnc" "${CMAKE_CURRENT_BINARY_DIR}/mincaverage-in1.mnc" COPYONLY)

# Add the test itself.
ADD_TEST(mincaverage-test ${CMAKE_CURRENT_SOURCE_DIR}/mincaverage-test.sh)

# Set its environment variables.
SET_TESTS_PROPERTIES(mincaverage-test
    PROPERTIES ENVIRONMENT "MINCAVERAGE_BIN=${mincaverage_bin};MINCSTATS_BIN=${mincstats_bin}")

# Get path to the binary.
GET_PROPERTY(minccalc_bin TARGET minccalc PROPERTY LOCATION)

# Add the test.
ADD_TEST(minccalc-test ${CMAKE_CURRENT_SOURCE_DIR}/minccalc-test.sh)

# Set the test's environment.
SET_TESTS_PROPERTIES(minccalc-test
    PROPERTIES ENVIRONMENT "MINCCALC_BIN=${minccalc_bin};MINCSTATS_BIN=${mincstats_bin}")

# Add the test itself.
ADD_TEST(mincresample-test ${CMAKE_CURRENT_SOURCE_DIR}/mincresample-test.sh)

# Set its environment variables.
SET_TESTS_PROPERTIES(mincresample-test
    PROPERTIES ENVIRONMENT "MINCRESAMPLE_BIN=${mincresample_bin};MINCSTATS_BIN=${mincstats_bin}")

# Get path to mincaverage binary.
GET_PROPERTY(mincreshape_bin TARGET mincreshape PROPERTY LOCATION)

ADD_TEST(mincreshape-test ${CMAKE_CURRENT_SOURCE_DIR}/mincreshape-test.pl)

SET_TESTS_PROPERTIES(mincreshape-test
  PROPERTIES ENVIRONMENT "MINCRESHAPE_BIN=${mincreshape_bin};MINCSTATS_BIN=${mincstats_bin};MINCINFO_BIN=${mincinfo_bin};MINCEXTRACT_BIN=${mincextract_bin}")

#TODO: add more tests?

=== conversion/CMakeLists.txt ===
# CMakeFiles.txt for the MINC2 conversion progs
#
# Andrew Janke - a.janke@gmail.com

#LINK_DIRECTORIES()
LINK_LIBRARIES( ${LIBMINC_LIBRARIES})


ADD_DEFINITIONS(-DHAVE_CONFIG_H)


# conversion progs (and libraries)
INCLUDE_DIRECTORIES(Acr_nema)
ADD_LIBRARY(acr_nema STATIC 
   Acr_nema/acr_io.c
   Acr_nema/dicom_client_routines.c
   Acr_nema/dicom_network.c
   Acr_nema/element.c
   Acr_nema/file_io.c
   Acr_nema/globals.c
   Acr_nema/group.c
   Acr_nema/message.c
   Acr_nema/value_repr.c)

ADD_EXECUTABLE(dcm2mnc
   dcm2mnc/dcm2mnc.c
   dcm2mnc/dicom_to_minc.c
   dcm2mnc/siemens_to_dicom.c
   dcm2mnc/dicom_read.c
   dcm2mnc/minc_file.c
   dcm2mnc/progress.c
   dcm2mnc/string_to_filename.c)
TARGET_LINK_LIBRARIES(dcm2mnc acr_nema )

ADD_EXECUTABLE(ecattominc
   ecattominc/ecattominc.c
   ecattominc/insertblood.c
   ecattominc/ecat_file.c
   ecattominc/machine_indep.c
   )
ADD_EXECUTABLE(minctoecat
   minctoecat/minctoecat.c
   minctoecat/ecat_write.c
   minctoecat/machine_indep.c
   )

TARGET_LINK_LIBRARIES(minctoecat ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)


ADD_EXECUTABLE(mnc2nii
   nifti1/mnc2nii.c
   )
TARGET_LINK_LIBRARIES(mnc2nii ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)

ADD_EXECUTABLE(nii2mnc
   nifti1/nii2mnc.c
   )
TARGET_LINK_LIBRARIES(nii2mnc ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)

ADD_EXECUTABLE(upet2mnc
   micropet/upet2mnc.c
   )

IF(BUILD_MINC2)

ADD_EXECUTABLE(vff2mnc
   vff2mnc/vff2mnc.c
   )
INSTALL(TARGETS
   vff2mnc
   DESTINATION bin)

ENDIF(BUILD_MINC2)


# install progs
INSTALL(TARGETS
   dcm2mnc
   ecattominc
   minctoecat
   mnc2nii
   nii2mnc
   upet2mnc
   DESTINATION bin)


INSTALL_MAN_PAGES( ${CMAKE_INSTALL_PREFIX}/man
  dcm2mnc/dcm2mnc.man1
  ecattominc/ecattominc.man1
  micropet/upet2mnc.man1
  minctoecat/minctoecat.man1
  nifti1/mnc2nii.man1
  nifti1/nii2mnc.man1
  vff2mnc/vff2mnc.man1
)

=== progs/CMakeLists.txt ===
# CMakeFiles.txt for the MINC2 progs
#
# Andrew Janke - a.janke@gmail.com

INCLUDE_DIRECTORIES(Proglib)

LINK_LIBRARIES( ${LIBMINC_LIBRARIES} )
ADD_DEFINITIONS(-DHAVE_CONFIG_H)

IF(NOT MINC_TOOLS_EXTERNALLY_CONFIGURED)
  FIND_PACKAGE(BISON)
  FIND_PACKAGE(FLEX)
ENDIF(NOT MINC_TOOLS_EXTERNALLY_CONFIGURED)

# all the progs
ADD_EXECUTABLE(invert_raw_image mincview/invert_raw_image.c)
ADD_EXECUTABLE(mincaverage mincaverage/mincaverage.c)
TARGET_LINK_LIBRARIES(mincaverage m)

IF(BISON_FOUND AND FLEX_FOUND)
   IF(NOT FL_LIBRARY) # A HACK to fix missing FLEX library
   SET(FLEX_LIBRARIES "")
   ENDIF(NOT FL_LIBRARY)


  include_directories(${CMAKE_CURRENT_BINARY_DIR} minccalc)
  
  BISON_TARGET(gram ${CMAKE_CURRENT_SOURCE_DIR}/minccalc/gram.y ${CMAKE_CURRENT_BINARY_DIR}/gram.c COMPILE_FLAGS "--debug")
  FLEX_TARGET(lex ${CMAKE_CURRENT_SOURCE_DIR}/minccalc/lex.l ${CMAKE_CURRENT_BINARY_DIR}/lex.c  )
  #ADD_FLEX_BISON_DEPENDENCY(gram lex)

  ADD_EXECUTABLE(minccalc 
                  minccalc/minccalc.c
                  minccalc/eval.c
                  minccalc/ident.c
                  minccalc/node.c
                  minccalc/optim.c
                  minccalc/scalar.c
                  minccalc/sym.c
                  minccalc/vector.c
                  ${FLEX_lex_OUTPUTS}
                  ${BISON_gram_OUTPUTS}
                 )

  TARGET_LINK_LIBRARIES(minccalc ${FLEX_LIBRARIES} m)

  INSTALL( TARGETS minccalc  DESTINATION bin)

  include_directories(${CMAKE_CURRENT_BINARY_DIR} mincgen)
  BISON_TARGET(ncgentab ${CMAKE_CURRENT_SOURCE_DIR}/mincgen/ncgentab.y ${CMAKE_CURRENT_BINARY_DIR}/ncgentab.c)
  FLEX_TARGET(ncgenyy ${CMAKE_CURRENT_SOURCE_DIR}/mincgen/ncgenyy.l ${CMAKE_CURRENT_BINARY_DIR}/ncgenyy.c)

  ADD_EXECUTABLE(mincgen mincgen/main.c
                            ${BISON_ncgentab_OUTPUTS}
                            ${FLEX_ncgenyy_OUTPUTS}
                            mincgen/escapes.c
                            mincgen/genlib.c
                            mincgen/getfill.c
                            mincgen/init.c
                            mincgen/load.c)
  INSTALL( TARGETS mincgen    DESTINATION bin)

  TARGET_LINK_LIBRARIES(mincgen ${FLEX_LIBRARIES})

ENDIF(BISON_FOUND AND FLEX_FOUND)

ADD_EXECUTABLE(mincconcat mincconcat/mincconcat.c)
ADD_EXECUTABLE(mincconvert mincconvert/mincconvert.c)
ADD_EXECUTABLE(minccopy minccopy/minccopy.c)

ADD_EXECUTABLE(mincdump mincdump/mincdump.c
                            mincdump/vardata.c
                            mincdump/dumplib.c)
                            
ADD_EXECUTABLE(mincexample1 mincexample/mincexample1.c)
ADD_EXECUTABLE(mincexample2 mincexample/mincexample2.c)
ADD_EXECUTABLE(mincexpand mincexpand/mincexpand.c)
ADD_EXECUTABLE(mincextract mincextract/mincextract.c
                            Proglib/minc_endian.c)
ADD_EXECUTABLE(mincinfo mincinfo/mincinfo.c)
ADD_EXECUTABLE(minclookup minclookup/minclookup.c)
TARGET_LINK_LIBRARIES(minclookup m)

ADD_EXECUTABLE(mincmakescalar mincmakescalar/mincmakescalar.c)
TARGET_LINK_LIBRARIES(mincmakescalar m)

ADD_EXECUTABLE(mincmakevector mincmakevector/mincmakevector.c)
ADD_EXECUTABLE(mincmath mincmath/mincmath.c)
TARGET_LINK_LIBRARIES(mincmath m)

ADD_EXECUTABLE(minc_modify_header minc_modify_header/minc_modify_header.c)

ADD_EXECUTABLE(mincresample mincresample/mincresample.c
                               mincresample/resample_volumes.c
                               Proglib/convert_origin_to_start.c)
TARGET_LINK_LIBRARIES(mincresample ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)

ADD_EXECUTABLE(mincreshape mincreshape/mincreshape.c
                              mincreshape/copy_data.c)

ADD_EXECUTABLE(mincstats mincstats/mincstats.c)
TARGET_LINK_LIBRARIES(mincstats m)

ADD_EXECUTABLE(minctoraw minctoraw/minctoraw.c
                            Proglib/minc_endian.c)

ADD_EXECUTABLE(mincwindow mincwindow/mincwindow.c)


ADD_EXECUTABLE(mincmorph mincmorph/mincmorph.c
                         mincmorph/kernel_io.c
                         mincmorph/kernel_ops.c 
                         mincmorph/kernel_io.h 
                         mincmorph/kernel_ops.h )
TARGET_LINK_LIBRARIES(mincmorph ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)


ADD_EXECUTABLE(mincsample mincsample/mincsample.c
                mincsample/mt19937ar.c
                mincsample/mt19937ar.h )
TARGET_LINK_LIBRARIES(mincsample ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)

ADD_EXECUTABLE(rawtominc rawtominc/rawtominc.c
                            Proglib/convert_origin_to_start.c)
TARGET_LINK_LIBRARIES(rawtominc m)

ADD_EXECUTABLE(voxeltoworld coordinates/voxeltoworld.c)
TARGET_LINK_LIBRARIES(voxeltoworld ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)

ADD_EXECUTABLE(worldtovoxel coordinates/worldtovoxel.c)
TARGET_LINK_LIBRARIES(worldtovoxel ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)

ADD_EXECUTABLE(transformtags xfm/transformtags.c)
TARGET_LINK_LIBRARIES(transformtags ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)

ADD_EXECUTABLE(xfmconcat xfm/xfmconcat.c)
TARGET_LINK_LIBRARIES(xfmconcat ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)

ADD_EXECUTABLE(xfminvert xfm/xfminvert.c)
TARGET_LINK_LIBRARIES(xfminvert ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)

ADD_EXECUTABLE(mincblob mincblob/mincblob.c)
TARGET_LINK_LIBRARIES(mincblob ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)

ADD_EXECUTABLE(minccmp minccmp/minccmp.c)
TARGET_LINK_LIBRARIES(minccmp ${VOLUME_IO_LIBRARIES} ${LIBMINC_LIBRARIES} m)


SET(MINC_TOOLS
   invert_raw_image 
   mincaverage
   mincconcat
   mincconvert
   minccopy
   mincdump
#   mincexample1
#   mincexample2
   mincblob 
   minccmp
   mincexpand
   mincextract
   mincinfo
   minclookup
   mincmakescalar
   mincmakevector
   mincmath
   minc_modify_header
   mincresample
   mincreshape
   mincstats
   minctoraw
   mincwindow
   mincmorph
   mincsample
   rawtominc
   voxeltoworld
   worldtovoxel
   transformtags
   xfmconcat
   xfminvert

)

# install progs
INSTALL(TARGETS ${MINC_TOOLS}
   DESTINATION bin)

add_custom_target (minc_tools 
 DEPENDS
 ${MINC_TOOLS}
 )   
   
# perl and shell scripts
INSTALL(PROGRAMS
   mincdiff/mincdiff  
   mincedit/mincedit  
   mincheader/mincheader  
   mincview/mincview
   PERMISSIONS 
    OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ  WORLD_EXECUTE WORLD_READ
   DESTINATION bin )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/minchistory/minchistory.in ${CMAKE_CURRENT_BINARY_DIR}/minchistory.out @ONLY)
add_custom_target(minchistory chmod +x ${CMAKE_CURRENT_BINARY_DIR}/minchistory.out 
 DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/minchistory/minchistory.in)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/mincpik/mincpik.in ${CMAKE_CURRENT_BINARY_DIR}/mincpik.out @ONLY)
add_custom_target(mincpik chmod +x ${CMAKE_CURRENT_BINARY_DIR}/mincpik.out 
 DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/mincpik/mincpik.in)


INSTALL(PROGRAMS
  ${CMAKE_CURRENT_BINARY_DIR}/minchistory.out
  PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ  WORLD_EXECUTE WORLD_READ
  RENAME minchistory
  DESTINATION bin )

INSTALL(PROGRAMS
  ${CMAKE_CURRENT_BINARY_DIR}/mincpik.out
  PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ  WORLD_EXECUTE WORLD_READ
  RENAME mincpik
  DESTINATION bin )


INSTALL_MAN_PAGES( ${CMAKE_INSTALL_PREFIX}/man
  coordinates/voxeltoworld.man1
  mincaverage/mincaverage.man1
  mincblob/mincblob.man1
  minccalc/minccalc.man1
  minccmp/minccmp.man1
  mincconcat/mincconcat.man1
  mincconvert/mincconvert.man1
  minccopy/minccopy.man1
  mincdiff/mincdiff.man1
  mincdump/mincdump.man1
  mincedit/mincedit.man1
  mincexpand/mincexpand.man1
  mincextract/mincextract.man1
  mincgen/mincgen.man1
  mincheader/mincheader.man1
  mincinfo/mincinfo.man1
  minclookup/minclookup.man1
  mincmakescalar/mincmakescalar.man1
  mincmakevector/mincmakevector.man1
  mincmath/mincmath.man1
  minc_modify_header/minc_modify_header.man1
  mincresample/mincresample.man1
  mincreshape/mincreshape.man1
  mincsample/mincsample.man1
  mincstats/mincstats.man1
  minctoraw/minctoraw.man1
  mincview/invert_raw_image.man1
  mincview/mincview.man1
  mincwindow/mincwindow.man1
  rawtominc/rawtominc.man1
  xfm/transformtags.man1
  xfm/xfm2def.man1
  xfm/xfmconcat.man1
  xfm/xfmflip.man1
  xfm/xfminvert.man1
)

=== conversion/dicomserver/Makefile ===
# --------------------------------------------------------------------
#
# MINC Makefile
#

ROOT = ../../minc
ACR_LIB_DIR = ../Acr_nema
include $(ACR_LIB_DIR)/Make_acrdefs
include $(ROOT)/Make_machine_specific
include $(ROOT)/Make_configuration

# Executable names
PROGS    = dicomserver dicomserver-debug
EXTRA_OBJS = dicom_element_defs.o open_connection.o reply.o \
             save_transferred_object.o use_the_files.o \
             siemens_dicom_to_minc.o siemens_dicom_read.o minc_file.o \
             string_to_filename.o project_file.o
HEADERS  = dicomserver.h dicom_prototypes.h dicom_element_defs.h \
           spi_element_defs.h siemens_dicom_to_minc.h
CDEFINES = -DDEBUG#                        cpp defines
INCLUDES = -I/usr/include -I. -I$(ACR_LIB_DIR) -I$(PROG_LIB_DIR) \
	            -I$(VOLIO_LIB_DIR)/Include \
	            -I$(MINC_LIB_DIR) -I$(NETCDF_INCLUDE_DIR)
LDOPT    = $(CC_ACR_LIB) $(PROG_LDOPT)
MANSECT  = 1
#MANPAGES = $(PROGS).$(MANSECT)

include $(ROOT)/progs/Make_progs

dicomserver-debug.o: dicomserver.c

=== conversion/dicomserver_sonata/Makefile ===
# --------------------------------------------------------------------
#
# $Id: Makefile,v 1.6 2003-08-15 20:07:16 leili Exp $
#
# $Log: Makefile,v $
# Revision 1.6  2003-08-15 20:07:16  leili
# testing CVS again
#
#
#
#
# MINC Makefile
# Written by leili Nov. 2002
#

ROOT = ../../minc
ACR_LIB_DIR = ../Acr_nema
include $(ACR_LIB_DIR)/Make_acrdefs
include $(ROOT)/Make_machine_specific
include $(ROOT)/Make_configuration

# Executable names
# Couple of things have been added by Leili on April 30, 2003
# dicomserver-nondebug-test , save_transferred_object_test.o
PROGS    = dicomserver-nondebug dcm2mnc dicomserver-debug dicomserver-nondebug2 dicomserver-nondebug-old
EXTRA_OBJS = dicom_element_defs.o open_connection.o reply.o \
             save_transferred_object.o use_the_files.o \
             siemens_dicom_to_minc.o siemens_dicom_read.o minc_file.o \
             string_to_filename.o project_file.o \
             parse_dicom_groups.o siemens_to_dicom.o progress.o
HEADERS  = dicomserver.h dicom_prototypes.h dicom_element_defs.h \
           spi_element_defs.h siemens_dicom_to_minc.h
CDEFINES = -DDEBUG#                        cpp defines
INCLUDES = -I/usr/include -I. -I$(ACR_LIB_DIR) -I$(PROG_LIB_DIR) \
	            -I$(VOLIO_LIB_DIR)/Include -Isiemens_include \
	            -I$(MINC_LIB_DIR) -I$(NETCDF_INCLUDE_DIR)
LDOPT    = $(CC_ACR_LIB) $(PROG_LDOPT)
MANSECT  = 1
#MANPAGES = $(PROGS).$(MANSECT)

include $(ROOT)/progs/Make_progs

dicomserver-debug.o: dicomserver-nondebug.c
dicomserver-nondebug.o: dicomserver-nondebug.c
#Added by Leili
dicomserver-nondebug2.o: dicomserver-nondebug2.c
dicomserver-nondebug-old.o: dicomserver-nondebug-old.c

=== conversion/ecattominc/Makefile ===
# --------------------------------------------------------------------
#
# MINC Makefile
#

#ROOT = ../../minc
#include $(ROOT)/Make_machine_specific
#include $(ROOT)/Make_configuration

# Executable names
PROGS    = ecattominc dump_ecat_header
EXTRA_OBJS = ecat_file.o insertblood.o
HEADERS  = ecat_file.h ecat_header_definition.h
CDEFINES = -DDEBUG                 # cpp defines
LDOPT    = $(PROG_LDOPT)
MANSECT  = 1
#MANPAGES = $(PROGS).$(MANSECT)

#include $(ROOT)/progs/Make_progs

=== conversion/image_filters/Makefile ===
SHELL = /bin/sh
CFLAGS = -O
LDFLAGS =

default:
	$(MAKE) `ls *.c |sed 's/\.c$$//'`

clean:
	rm -f `ls *.c |sed 's/\.c$$//'`

.c:
	$(CC) $(CFLAGS) -o $@ $< $(LDFLAGS)

=== conversion/mnitominc/Makefile ===
# --------------------------------------------------------------------
#
# MINC Makefile
#

ROOT = ../../minc
include $(ROOT)/Make_machine_specific
include $(ROOT)/Make_configuration

# Executable names
PROGS    = mnitominc
EXTRA_OBJS =
HEADERS  = $(PROGS:=.h)
CDEFINES = -DDEBUG                 # cpp defines
LDOPT    = $(PROG_LDOPT)
MANSECT  = 1
#MANPAGES = $(PROGS).$(MANSECT)

include $(ROOT)/progs/Make_progs

=== conversion/mri_to_minc/Makefile ===
# --------------------------------------------------------------------
#
#     Generic Makefile
#
PROG     = ge_uncompress	# executable name
PROG_OBJ = ge_uncompress.o	# files to compile
OPT      = -O			# compiler options
LDOPT    = -L/usr/local/lib	# ld options
INCLUDES = -I/usr/local/include -I. # include directories

PERL_PROGS = ge4_to_minc ge5_to_minc siemens_to_minc dicom_to_minc \
   siemens_magnetom_vision_to_minc gedicom_to_minc dicomfile_to_minc
PERL_INCLUDE = mri_to_minc.pl

# --------------------------------------------------------------------

.SUFFIXES: .ln .pl

CFLAGS    = $(INCLUDES) $(OPT)	# CFLAGS and LINTFLAGS should
LINTFLAGS = $(INCLUDES)		# be same, except for -g/-O

default : $(PROG) $(PERL_PROGS)

all : $(PROG) lint_$(PROG) $(PERL_PROGS)

.c.ln:				# defines the rule for creating .ln
	lint $(LINTFLAGS) -c $< -o $@

.c.o:				# defines the rule for creating .o
	$(CC) $(CFLAGS) -c $< -o $@

.pl:
	cat $(PERL_INCLUDE) $@.pl > $@; chmod +x $@

LINT_LIST = $(PROG_OBJ:.o=.ln)	# list of lint files in program

$(PROG_OBJ) : Makefile

# How to create executable
$(PROG): $(PROG_OBJ)
	$(CC) $(PROG_OBJ) -o $@ $(LDOPT)

# how to lint the executable source
lint_$(PROG): $(LINT_LIST)
	lint -u $(LINTFLAGS) $(LINT_LIST)

# How to create perl programs from multiple source files
$(PERL_PROGS): $(PERL_INCLUDE) Makefile

clean:
	\rm -f $(PROG)  $(PROG_OBJ)  $(LINT_LIST) $(PERL_PROGS)

=== conversion/scxtominc/Makefile ===
# --------------------------------------------------------------------
#
# MINC Makefile
#

ROOT = ../../minc
include $(ROOT)/Make_machine_specific
include $(ROOT)/Make_configuration

# Executable names
PROGS    = scxtominc scxmnem
EXTRA_OBJS = scx_file.o insertblood.o
HEADERS  = scx_file.h
CDEFINES = -DDEBUG                 # cpp defines
LDOPT    = $(PROG_LDOPT)
MANSECT  = 1
#MANPAGES = $(PROGS).$(MANSECT)

include $(ROOT)/progs/Make_progs

=== debian/changelog ===
minc-tools (2.3.00+dfsg-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * Add DEP3 headers
  * hardening=+all
  * Fix spelling issues
  * Fix whatis entries of manpages
  * d/watch: mangle version line

 -- Andreas Tille <tille@debian.org>  Wed, 22 Nov 2017 21:00:18 +0100

minc-tools (2.3.00+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * New patch to support HDF5-1.10 (closes: #841972)

 -- Gilles Filippini <pini@debian.org>  Sun, 30 Oct 2016 21:18:31 +0100

minc-tools (2.3.00+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Steve M. Robbins <smr@debian.org>  Sat, 26 Sep 2015 21:52:22 -0500

minc (2.2.00-6) unstable; urgency=medium

  * Apply two patches fixing Mahem test issues.  Thanks to Martin
    Steghöfer <martin@steghoefer.eu>
    Closes: #716511, #716616
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 06 Oct 2014 09:49:50 +0200

minc (2.2.00-5) unstable; urgency=medium

  [ Gilles Filippini ]
  * rules: Support hdf5 1.8.13 new packaging layout.  Closes: #756684.

 -- Steve M. Robbins <smr@debian.org>  Sat, 02 Aug 2014 12:06:50 -0500

minc (2.2.00-4) unstable; urgency=medium

  * Apply patch provided by Alexander Ovchinnikov to build with clang
    (thanks to Alexander)
    Closes: 741744
  * cme fix dpkg-control
  * debian/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Mon, 05 May 2014 11:21:48 +0200

minc (2.2.00-3) unstable; urgency=low

  * patches/maxpathlen.patch: New.  Work around missing MAXPATHLEN on
    hurd.

 -- Steve M. Robbins <smr@debian.org>  Sat, 14 Sep 2013 00:39:06 -0500

minc (2.2.00-2) unstable; urgency=low

  * patches/pod_fix.diff: New.  Fix POD documentation to comply with
    stricter parsing of perl 5.18.  Closes: #719502.

  * rules: disable parallel build; causes tests to fail inexplicably.
  
 -- Steve M. Robbins <smr@debian.org>  Fri, 13 Sep 2013 23:22:53 -0500

minc (2.2.00-1) unstable; urgency=low

  * New upstream.
  * patches/hdfv2-fixes.patch: Remove.  Applied upstream.

  * patches/makefile.patch: New.  Fix build failure.
  * patches/acrnema-version.patch: New.  Add proper versioning to
    libacr_nema.

  * rules: Use "--with autoreconf" since new patches affect Makefile.am.

  * rules:  
  * control: SOVERSION bump to 3; new package name libminc2-3.

 -- Steve M. Robbins <smr@debian.org>  Sat, 13 Oct 2012 23:09:25 -0500

minc (2.1.10-1) unstable; urgency=low

  * New upstream.
  
  * patches/03_mincview.diff: Remove.  Script mincview rewritten to use
    Imagemagick
  
  * patches/decompress-whole-file.diff:
  * patches/read_file_names-refactor.patch: Remove.  Applied upstream.
  * rules: Remove use of dh_autoreconf.

  * patches/hdfv2-fixes.patch: New.  Ensure using HDF5 v2 API.
  
  * control: Remove dependency and build-dependency on csh.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Feb 2012 01:37:47 -0600

minc (2.1.00-5) unstable; urgency=low

  * patches/mincaverage-pathmax.patch: Remove.
  * patches/read_file_names-refactor.patch: New.  Refactored duplicated
    PATH_MAX-using code into library.  Need to run autoreconf because
    Makefile.am changed.
  
  * rules: Fix errors and really disable tests on sparc.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Feb 2012 15:00:32 -0600

minc (2.1.00-4) unstable; urgency=low

  * source/format: Set to 3.0 (quilt), so that patches are applied.
  
  * patches/mincaverage-pathmax.patch: New.  Work around missing PATH_MAX
    definition; fixes FTBFS on hurd.
  
  * rules: Tests are buggy, but do work on most architectures.  Disable on
    sparc.

 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Feb 2012 21:58:51 -0600

minc (2.1.00-3) unstable; urgency=low

  * control: Switch to (serial) libhdf5-dev, to avoid conflict with serial
    netcdf.  Closes: #658307.
  
  * control:
  * rules: Switch from cdbs to debhelper's dh (compat level 9).

 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Feb 2012 08:53:04 -0600

minc (2.1.00-2) unstable; urgency=low

  * patches/decompress-whole-file.diff: New.  Always decompress entire
    file to support compressed MINC2 files.  Closes: #585676.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Dec 2011 20:47:03 -0600

minc (2.1.00-1) unstable; urgency=low

  * New upstream.

 -- Steve M. Robbins <smr@debian.org>  Tue, 17 Aug 2010 22:26:16 -0500

minc (2.0.18+cvs20100518-1) unstable; urgency=low

  * Pull upstream CVS, contains fixes for netcdf 4.  Closes: #577060,
    #581296.
  
  * control: replace libhdf5-*-dev (differing by architecture) by
    libhdf5-mpi-dev.

 -- Steve M. Robbins <smr@debian.org>  Tue, 18 May 2010 22:53:30 -0500

minc (2.0.18-1) unstable; urgency=low

  * New upstream version.

 -- Steve M. Robbins <smr@debian.org>  Mon, 20 Jul 2009 05:24:57 -0500

minc (2.0.17-1) unstable; urgency=low

  * New upstream version.

  * patches/04_manpages.diff:
  * debian/patches/05_parseargv.diff: Remove; applied upstream.
  
 -- Steve M. Robbins <smr@debian.org>  Tue, 20 Jan 2009 19:37:41 -0600

minc (2.0.16-4) unstable; urgency=low

  * debian/patches/05_parseargv.diff: New.  Patch from upstream to fix arg
    parsing on 64bits.  Closes: #510629.  This was also the root cause of
    mincheader and mincdiff failing.  Closes: #506276.
  
  * debian/control: Add ${misc:Depends}, since we use debhelper.
  
  * debian/rules: Do not install test code acr_test, dicom_test.

 -- Steve M. Robbins <smr@debian.org>  Sat, 03 Jan 2009 16:29:06 -0600

minc (2.0.16-3) unstable; urgency=low

  * debian/control: Extend previous fix from build-depends to libminc-dev
    depends; i.e. use OpenMPI, except for certain architectures that it
    doesn't support; in the latter case, use LAM.

 -- Steve M. Robbins <smr@debian.org>  Thu, 30 Oct 2008 01:10:55 -0500

minc (2.0.16-2) unstable; urgency=low

  * debian/control: Use OpenMPI, except for certain architectures that it
    doesn't support; in the latter case, use LAM.



=== debian/control ===
Source: minc-tools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake,
               bison,
               flex,
               libminc-dev (>= 2.3),
               libnifti-dev,
               libnetcdf-dev,
               zlib1g-dev,
               texlive-latex-base,
               libhdf5-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/minc-tools.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/minc-tools.git
Homepage: http://www.bic.mni.mcgill.ca/ServicesSoftware/HomePage

Package: minc-tools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         netcdf-bin,
         libgetopt-tabular-perl,
         libtext-format-perl,
         imagemagick
Description: MNI medical image format tools
 This package contains tools to manipulate MINC files.
 .
 The Minc file format is a highly flexible medical image file format
 built on top of the NetCDF generalized data format. The format is
 simple, self-describing, extensible, portable and N-dimensional, with
 programming interfaces for both low-level data access and high-level
 volume manipulation. On top of the libraries is a suite of generic
 image-file manipulation tools. The format, libraries and tools are
 designed for use in a medical-imaging research environment: they are
 simple and powerful and make no attempt to provide a pretty interface
 to users.

=== debian/rules ===
#! /usr/bin/make -f

ARCH  = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CMAKE_FLAGS =


# Tests are buggy; disable test on sparc
ifeq ($(ARCH),sparc)
	DEB_BUILD_OPTIONS += nocheck
endif

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
  export DEB_LDFLAGS_MAINT_APPEND := -Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_install:
	cd debian/minc-tools && mkdir -p usr/share && mv usr/man usr/share
	dh_link /usr/share/man/man1/voxeltoworld.1 \
		/usr/share/man/man1/worldtovoxel.1

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
   http://packages.bic.mni.mcgill.ca/tgz/ minc-(.*)\.tar\.gz
